# CYR_INFO

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
HISTORY
FILES
SEE ALSO
AUTHOR
COPYRIGHT

## NAME

cyr_info - Cyrus IMAP documentation

General cyrus inspection tool

## SYNOPSIS

cyr_info `[OPTIONS] conf`
cyr_info `[OPTIONS] conf-default`
cyr_info `[OPTIONS] conf-all`
cyr_info `[OPTIONS] conf-lint`
cyr_info `[OPTIONS] proc`

## DESCRIPTION

`cyr_info` is a tool for getting information from Cyrus. The intent is to extend this tool with useful commands to make managing and configuring Cyrus easier.

cyr_info reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

cyr_info provides the following sub-commands:

| conf |  | Print the configuration options which have been set to a value other than their default, and their value.

With -s version, configuration options whose behaviour has changed since version will be highlighted.

conf-all

Print ALL configuration options and their configured values (including those using their default value). This command shows which options will be in effect at runtime.

With -s version, configuration options which have been added or whose behaviour has changed since version will be highlighted.

conf-default

Print the default values for all available configuration options.

With -s version, configuration options which have been added or whose behaviour has changed since version will be highlighted.

conf-lint

Print only configuration options which are NOT recognised. This command should not print anything. It uses cyrus.conf to find the names of configured services to avoid displaying any known configuration options for the named service.

| proc |  | Print active processes that master(8) is managing. |

## OPTIONS

-C config-file

Use the specified configuration file config-file rather than the default imapd.conf(5).

-M config-file

Read service specifications from config-file (cyrus.conf format).

-n name, --service=name

Read the configuration as if for the service named name.

-s version, --since=version

Highlight configuration options that have been added or whose behaviour has been modified since version. Use this option after a server upgrade, specifying your previous version, to find which options you need to review and maybe change before starting up the upgraded server.

For use with the conf, conf-all, and conf-default sub-commands.

## EXAMPLES

cyr_info proc
List the active processes that master is managing

cyr_info conf-lint
Lint the configuration for unrecognized settings.

## HISTORY

This command was introduced in version 3.0.

## FILES

/etc/imapd.conf, /etc/cyrus.conf

## SEE ALSO

imapd.conf(5), cyrus.conf(5), master(8)

## AUTHOR

The Cyrus Team, Nic Bernstein (Onlight), Jeroen van Meeuwen (Kolab Systems)

## COPYRIGHT

1993â2025, The Cyrus Team